# 当前broker的ID,集群内唯一
broker.id=0

# 监听的网络地址
listeners=PLAINTEXT://0.0.0.0:9092

# 对外公告的Listener地址 更具实际情况修改
advertised.listeners=PLAINTEXT://192.168.88.129:9092

# 网络处理线程数
num.network.threads=3

# 磁盘IO线程数
num.io.threads=8

# Socket发送缓冲区大小
socket.send.buffer.bytes=102400

# Socket接收缓冲区大小
socket.receive.buffer.bytes=102400

# Socket请求最大字节数
socket.request.max.bytes=104857600

# 消息日志存储路径
log.dirs=/tmp/kafka-logs

# 主题分区数量
num.partitions=1

# 日志恢复线程数
num.recovery.threads.per.data.dir=1

# 复制因子
offsets.topic.replication.factor=1

# 复制因子
transaction.state.log.replication.factor=1

# 最小同步复制数
transaction.state.log.min.isr=1

# 消息保存时间(小时)
log.retention.hours=168

# 消息日志片段大小
log.segment.bytes=1073741824

# 回收策略检查间隔
log.retention.check.interval.ms=300000

# Zookeeper连接地址
zookeeper.connect=localhost:2181

# Zookeeper连接超时时间
zookeeper.connection.timeout.ms=6000

# 消费组重新平衡延迟
group.initial.rebalance.delay.ms=0